### Class

# GskRenderer

#### Description [src]

    abstract class Gsk.Renderer : GObject.Object
    {
      /* No available fields */
    }

`GskRenderer` is a class that renders a scene graph defined via a tree of `GskRenderNode` instances.

Typically you will use a `GskRenderer` instance to repeatedly call `gsk_renderer_render()` to update the contents of its associated `GdkSurface`.

It is necessary to realize a `GskRenderer` instance using `gsk_renderer_realize()` before calling `gsk_renderer_render()`, in order to create the appropriate windowing system resources needed to render the scene.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- GskCairoRenderer
- GskGLRenderer
- GskNglRenderer
- GskVulkanRenderer

#### Constructors

###### gsk_renderer_new_for_surface

Creates an appropriate `GskRenderer` instance for the given `surface`.

#### Instance methods

###### gsk_renderer_get_surface

Retrieves the `GdkSurface` set using gsk_enderer_realize().

###### gsk_renderer_is_realized

Checks whether the `renderer` is realized or not.

###### gsk_renderer_realize

Creates the resources needed by the `renderer` to render the scene graph.

###### gsk_renderer_realize_for_display

Creates the resources needed by the `renderer` to render the scene graph.

since: 4.14

###### gsk_renderer_render

Renders the scene graph, described by a tree of `GskRenderNode` instances to the renderer’s surface, ensuring that the given `region` gets redrawn.

###### gsk_renderer_render_texture

Renders the scene graph, described by a tree of `GskRenderNode` instances, to a `GdkTexture`.

###### gsk_renderer_unrealize

Releases all the resources created by gsk_renderer_realize().

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gsk.Renderer:realized

Whether the renderer has been associated with a surface or draw context.

###### Gsk.Renderer:surface

The surface associated with renderer.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GskRendererClass {
      /* no available fields */
    }

No description available.